<?php
error_reporting(E_ALL);
ini_set('display_errors', 1);
include("cp_header_adv_textarea.php"); 



if(!isset($RequestSignature)){
$RequestSignature = md5($_SERVER['REQUEST_URI'].$_SERVER['QUERY_STRING'].print_r($_POST, true));
}

$extensionx='' ;
$filex='';

$table="pages_desc";
$src="../img/$table/";	
//next auto increment
$result=mysqli_query($conn,"SHOW TABLE STATUS LIKE '$table' ");
$fetch =mysqli_fetch_array($result);
$img_num=$fetch['Auto_increment'];




?>


<div id="cp_cont">
<div id="show_user_details"></div>
	

<?php
///تجنب اضافة سجل فى حالة اعادة تحميل الصفحة

if (isset($_SESSION['LastRequest']) && $_SESSION['LastRequest'] == $RequestSignature)
{
unset($_SESSION['LastRequest']);
echo"<script type='text/javascript'>
window.location.href = '".$_SERVER['PHP_SELF']."';
</script> ";
exit();
}
else{
  $_SESSION['LastRequest'] = $RequestSignature;
//  echo($_SESSION['LastRequest']);
}

if (isset($_POST['submit']) && $_POST['token_sec']==$_SESSION['token']  &&  $_POST['submit']=="اضافة") {

 ////////////////////////////////////////////////////////////////////////////////////


	$title='';
	$writer='';
	$desc='';
	$seo_desc='';
	$keywords='';
	


	$created=date('Y-m-d H:i:s');
	$title=str_replace("'","\'",$_POST['title']);

	$_POST['desc'] = str_replace("<br /><br />", "</p><p>", nl2br($_POST['desc']));
	$desc=str_replace("'","\'",$_POST['desc']);
	$keywords=$_POST['keywords'];

	$active;
	$priority;
	$depart='1';




	if(isset($_POST['active'])){
		$active='1';
	}else{
		$active='0';	
}




// ************** prepare text area ***********//
$textarea_content=$desc;
$final_content='';

include 'textarea_prepare.php' ;
$desc=$final_content;


  



//بداية الاستعلام
$query= mysqli_prepare(

			$conn,

			"INSERT INTO `$table`

			( `sort`, `page_name` ,`page_title`, `active`,`page_description`,`page_meta`,`user_create`,`created`,`user_created`) 

			VALUES 

			( ?, ?, ?, ?, ?, ?,? ,? ,?)");

		

			$user_create=1;
//نهيئة المتغيرات وحمايتها من الحقن
mysqli_stmt_bind_param($query,'iisisssss',
			
			 $img_num,$img_num , $title,$active,$desc,$keywords,$user_create,$created,$_SESSION[$domain."_user"]

			);

			
			
//تنفيذ الاستعلام وتخزين حالته
$execute_status=mysqli_stmt_execute($query);
			 
//فى حالة وجود اخطاء فى الاتصال بقاعدة البيانات
if(mysqli_error($conn)!=''){

				 $error_database_arr['err']=mysqli_error($conn);

				 $error_database_arr['err_num']= mysqli_errno($conn);

				 $error_database_arr['error_stmt']= mysqli_stmt_error($query);

			 }
	
//عدد السجلات التى تم تنفيذها
$affected_rows=mysqli_affected_rows($conn);

//فى حالة نجاح الاستعلام
if($execute_status==1){
	
	echo "<div class='true'>تم رفع الوصف</div>";
	

}else{
	err:	
	echo "<div class='false'>لم يتم رفع الوصف</div>";  
 
  
		
}



 
   
$_POST['submit']=="اضافة2";
}
error:


?>
	
	

	
<div id="cp_title"> اضافة صفحة جديدة
<a  href="view_pages.php?search=" style='background:url(../img/table.png);float:left;margin:10px 0px 5px 20px;color:var(--white);width:20px;height:20px;'></a>	
	
 </div>
<div id="cp_body">
<form id="app_form" enctype="multipart/form-data"  method="post" action="<?php echo($_SERVER['PHP_SELF']); ?>">
<div class="cp_word_body">





<div class="cp_login_row " style="float:right;width:<?php echo($lang_sum); ?>%;height:110px">
<div class="cp_title"><span style="color:red">*</span>عنوان الصفحة </div>
<div class="cp_field">
<input class="required" alt="1" name="title" type="text"  />
<div class="field_val "></div>
</div>
</div>












<div class="cp_login_row " style="width:100%;">
<div class="cp_title"><span style="color:red">*</span>محتوى الصفحة</div>
<div class="cp_field">
	
<?php #include "rich_text/ColorPickerMenu.html" ;?>	
<textarea  class=" summernote"  name="desc" ></textarea>	
<div class="field_val" ></div>
</div>
</div>









<div class="cp_login_row half_row_wide_right"  style="float:right;width:<?php echo($lang_sum); ?>%;height:250px;">
<div class="cp_title"><span style="color:red">*</span> الكلمات المفتاحية</div>
<div class="cp_field">

<textarea  class=" required" alt="1" id="keywords"  name="keywords" ></textarea>
<div class="field_val"></div>	
</div>
</div>





<div class="cp_login_row" >
<div class="cp_title">وضع العلامة المائية</div>
<div class="cp_field">
<input alt="1" class="water_mark" name="water_mark" type="checkbox" checked="checked" />	
</div>
</div>




<div class="cp_login_row"  >
<div class="cp_title">النشر</div>
<div class="cp_field">
<input alt="1" id="priority" name="active" type="checkbox" checked="checked"  />	
</div>
</div>	





<div class="cp_login_row">

<div class="cp_submit"><input  class="wymupdate" id="submit"  name="submit" value="اضافة"  title="دخول" type="submit"></div>

</div>
</div>
<input type="hidden" name="token_sec"  value='<?php echo($_SESSION['token']); ?>'> </form>
</div>
	
	
<div style="display:none" id="code_generator"></div>
</div>




<?php include("cp_footer.php");?>